Bug 31093 - As ISDN-Dialin-Server configured anyone can dialin with any username/password
Summary: As ISDN-Dialin-Server configured anyone can dialin with any username/password
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: internet-config   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-08 18:54 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-09 15:27:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my dialin configuration file (489 bytes, text/plain)
2001-03-09 15:26 UTC, Need Real Name
no flags Details

Description Need Real Name 2001-03-08 18:54:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


After setting up a isdn-dialin server i try to login with a windos me 
client. But at the login the username/password is never checked. After 
comment out line 190 from /etc/rc.d/init.d/isdn script the password 
checking works ok. (line 190: AUTH=`echo "$AUTH" | sed 's/+[a-z]*//g'` ) !
It's seems that this line removes the pap command line option for the 
ipppd daemon. I think this is very important to check this before the next 
RedHat release.

Reproducible: Always
Steps to Reproduce:
1.install wolverine and internet-config
2.configure a isdn-dialin-server
3.dialin with any username/password

Comment 1 Glen Foster 2001-03-08 22:56:51 UTC
We (Red HAT) should really fix this before next release.

Comment 2 Ngo Than 2001-03-09 14:34:19 UTC
I assume you have configured PAP+CHAP by authentication ?

Could you send to me the configuration files under /etc/sysconfig/provider.
It will help me to fix this problem.



Comment 3 Need Real Name 2001-03-09 15:26:58 UTC
Created attachment 12174 [details]
my dialin configuration file

Comment 4 Ngo Than 2001-03-11 01:18:35 UTC
It's fixed with internet-config-0.36-1 in the next rawhide release.
 
Notice: you should fisrt reconfigure your provider again with "Dialin Server".


Note You need to log in before you can comment on or make changes to this bug.